/* Copyright (c) 1992 The Geometry Center; University of Minnesota
   1300 South Second Street;  Minneapolis, MN  55454, USA;
   
This file is part of geomview/OOGL. geomview/OOGL is free software;
you can redistribute it and/or modify it only under the terms given in
the file COPYING, which you should have received along with this file.
This and other related software may be obtained via anonymous ftp from
geom.umn.edu; email: software@geom.umn.edu. */

/* Authors: Charlie Gunn, Stuart Levy, Tamara Munzner, Mark Phillips */

#ifndef PICKPDEF
#define	PICKPDEF

	/*
	 * Private definitions for picking.
	 */

#include "pick.h"

struct Pick {
	Point3 got;
	float thresh;
	int want;		/* Fields wanted */
	int  found;		/* Fields found */
	Geom *gprim;
	Point3 v;		/* picked vertex, if any */
	Point3 e[2];		/* endpoints of picked edge, if any */
				/* no data for picked face --- we don't
				   return face info yet --- do it later */
	Transform Tprim;
	Transform Tmirp;
	Transform Tw;
};

#endif /*PICKPDEF*/
